## cl-fftw3 1.0.2

=== c-tests/Makefile ===
all: sizes

sizes: sizes.c
	gcc -I/opt/local/include sizes.c -L/opt/local/lib -lfftw3 -lm -o sizes

clean:
	rm -f *.o *~ sizes

=== debian/changelog ===
cl-fftw3 (1.0.2-1) unstable; urgency=low

  * Add a location for foreign shared library (closes: 860968)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 28 Sep 2020 20:30:51 +0000

cl-fftw3 (1.0.1-1) unstable; urgency=low

  * New upstream
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 21 Apr 2011 11:26:42 -0600

cl-fftw3 (1.0-1) unstable; urgency=low

  * Initial upload (closes:539793)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 23:08:55 -0600

=== debian/control ===
Source: cl-fftw3
Section: lisp
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends-Indep: dh-lisp
Build-Depends: debhelper (>= 11.0.0)
Standards-Version: 4.5.0.3
Homepage: http://files.kpe.io/cl-fftw3/
Vcs-Git: git://git.kpe.io/cl-fftw3.git
Vcs-Browser: http://git.kpe.io/?p=cl-fftw3.git

Package: cl-fftw3
Architecture: all
Depends: ${misc:Depends}, libfftw3-dev, cl-kmrcl, cl-cffi
Description: Common Lisp package for using the FFTW3 library
 This package provides an interface for Common Lisp programs to use
 the FFTW3 Fourier transform library. A number of higher-level interfaces
 has been added in addition to the native interface to the FFTW3
 C-based library.

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= cl-fftw3
debpkg  	:= cl-fftw3

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
doc-dir		:= usr/share/doc/$(debpkg)

build: build-indep build-arch
build-indep:
build-arch:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install $(pkg).asd $(clc-files)
	dh_install *.lisp $(clc-files)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_lisp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep


.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://files.kpe.io/cl-fftw3/cl-fftw3-(\d+.*)\.tar\.gz
